package source

type Source interface {
	IsFile(path string) (bool, error)
	ReadFile(path string) ([]byte, error)
	IsDirectory(path string) (bool, error)

	CacheSet(dependencies []string, key string, value interface{})
	CacheGet(key string) interface{}
}
